<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background">

    <androidx.constraintlayout.widget.ConstraintLayout xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <include
            android:id="@+id/fixedTopFilterView"
            layout="@layout/piece_article_detail_comment_filter"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:visibility="gone"
            tools:visibility="visible" />

        <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/list_refresh"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/fixedTopFilterView">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/list_rv"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

        </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>


    <include
        android:id="@+id/reuse_ll_loading"
        layout="@layout/reuse_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true" />

    <include
        android:id="@+id/reuse_no_connection"
        layout="@layout/reuse_no_connection" />

    <include
        android:id="@+id/reuse_none_data"
        layout="@layout/reuse_none_data" />

</RelativeLayout>